- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Objective Class Reference

The in-memory representation of the <obj> element. More...

`#include <OSInstance.h>`

Collaboration diagram for Objective:

[legend]
List of all members.

## Public Member Functions
| Objective ()
| The Objective class constructor.
| ~Objective ()
| The Objective class destructor.
bool | IsEqual (Objective *that)
| A function to check for the equality of two objects.
| Objective ()
| The Objective class constructor.
| ~Objective ()
| The Objective class destructor.
## Public Attributes
std::string | name
| the name of the objective function
std::string | maxOrMin
| declare the objective function to be a max or a min
double | constant
| constant is the constant term added to the objective function, 0 by default
double | weight
| weight is the weight applied to the given objective function, 1.0 by default
int | numberOfObjCoef
| numberOfObjCoef is the number of variables with a nonzero objective function coefficient
ObjCoef ** | coef
| coef is pointer to an array of ObjCoef object pointers
ObjCoef ** | coef
| coef is pointer to an array of ObjCoef object pointers

## Detailed Description

The in-memory representation of the <obj> element.

Definition at line 172 of file OSInstance.h.

## Constructor & Destructor Documentation

Objective::Objective | ( |  | ) |

The Objective class constructor.

Definition at line 471 of file OSInstance.cpp.

Objective::~Objective | ( |  | ) |

The Objective class destructor.

Definition at line 485 of file OSInstance.cpp.

References coef, and numberOfObjCoef.

Objective::Objective | ( |  | ) |

The Objective class constructor.

Objective::~Objective | ( |  | ) |

The Objective class destructor.

## Member Function Documentation

bool Objective::IsEqual | ( | Objective * | that | ) |

A function to check for the equality of two objects.

Definition at line 5092 of file OSInstance.cpp.

References coef, constant, maxOrMin, name, numberOfObjCoef, and weight.

## Member Data Documentation

std::string Objective::name

the name of the objective function

Definition at line 182 of file OSInstance.h.

Referenced by IsEqual(), and OSInstance::processObjectives().

std::string Objective::maxOrMin

declare the objective function to be a max or a min

Definition at line 187 of file OSInstance.h.

Referenced by BonminProblem::eval_f(), BonminProblem::eval_grad_f(), IpoptProblem::get_scaling_parameters(), IsEqual(), OSInstance::processObjectives(), and IpoptSolver::setSolverOptions().

double Objective::constant

constant is the constant term added to the objective function, 0 by default

Definition at line 192 of file OSInstance.h.

Referenced by IsEqual(), and OSInstance::processObjectives().

double Objective::weight

weight is the weight applied to the given objective function, 1.0 by default

Definition at line 197 of file OSInstance.h.

Referenced by IsEqual(), and OSInstance::processObjectives().

int Objective::numberOfObjCoef

numberOfObjCoef is the number of variables with a nonzero objective function coefficient

Definition at line 202 of file OSInstance.h.

Referenced by IsEqual(), OSInstance::processObjectives(), and ~Objective().

ObjCoef** Objective::coef

coef is pointer to an array of ObjCoef object pointers

Definition at line 206 of file OSInstance.h.

Referenced by IsEqual(), main(), OSInstance::processObjectives(), OSDipBlockSlpSolver::solve(), OSDipBlockCoinSolver::solve(), and ~Objective().

ObjCoef** Objective::coef

coef is pointer to an array of ObjCoef object pointers

Definition at line 245 of file OSInstance.h.

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSInstance.h
- /home/coin/SVN-release/OS-2.3.5/OS/v2.0/OSInstance.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSInstance.cpp